Index: multimedia/ffmpeg/files/patch-configure
===================================================================
--- multimedia/ffmpeg/files/patch-configure	(revision 422403)
+++ multimedia/ffmpeg/files/patch-configure	(working copy)
@@ -14,6 +14,19 @@
  cpu="generic"
  intrinsics="none"
  
+@@ -5682,7 +5677,11 @@ elif enabled gcc; then
+ elif enabled llvm_gcc; then
+     check_cflags -mllvm -stack-alignment=16
+ elif enabled clang; then
+-    check_cflags -mllvm -stack-alignment=16
++    if enabled x86_32; then
++        check_cflags -mllvm -stack-alignment=16
++        check_cflags -mstack-alignment=16
++        check_cflags -mstackrealign
++    fi
+     check_cflags -Qunused-arguments
+     check_cflags -Werror=implicit-function-declaration
+     check_cflags -Werror=missing-prototypes
 @@ -5823,7 +5818,7 @@ ifndef MAIN_MAKEFILE
  SRC_PATH:=\$(SRC_PATH:.%=..%)
  endif
